/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
module dwt.custom.TextChangedEvent;

import dwt.events.TypedEvent;
import dwt.custom.StyledTextContent;
/**
 * This event is sent by the StyledTextContent implementor when a change to
 * the text occurs.
 */
public class TextChangedEvent : TypedEvent {

/**
 * Create the TextChangedEvent to be used by the StyledTextContent implementor.
 * <p>
 *
 * @param source the object that will be sending the TextChangedEvent,
 *  cannot be null
 */
public this(StyledTextContent source) {
    super(cast(Object)source);
}
}
